CALIBREDB(1)

NAME
calibredb - calibredb

calibredb Befehl [Optionen] [Argumente]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the Content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   Globale Optionen

•   list

•   add

•   HINZUFÜGEN VON ORDNERN

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPTIONEN

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

GLOBALE OPTIONEN

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--library-path, --with-library
    Pfad zur Calibre-Bibliothek. Standardmäßig wird der in den Einstellungen gespeicherte Pfad verwendet. Sie können auch mit einem Calibre-Inhalteserver verbinden, um Aktionen auf Fernbibliotheken anzuwenden. Verwenden Sie hierfür eine URL der Form: http://hostname:port/#bibliothek_id, zum Beispiel http://localhost:8080/#meinebibliothek. bibliothek_id ist die Bibliothekskennung jener Bibliothek, zu der Sie auf dem Inhalteserver verbinden wollen. Um eine Liste aller auf dem Server verfügbaren Bibliothekskennungen zu erhalten, können Sie den Sonderwert "-" verwenden. Für Details zum Einrichten des Zugriffs mittels Inhalteserver siehe https://manual.calibre-ebook.com/de/generated/de/calibredb.html.

--password
    Passwort für die Verbindung zu einem Calibre-Inhalteserver. Um das Passwort von der Standardeingabe zu lesen, verwenden Sie den Sonderwert <stdin>. Um das Passwort aus einer Datei zu lesen, verwenden Sie <f:/path/to/file> (d. h. "<f:", gefolgt vom vollständigen Dateipfad und einem abschließenden ">"). Die spitzen Klammern sind erforderlich. Denken Sie daran, diese zu "escapen" oder verwenden Sie Anführungszeichen für Ihre Shell.

--timeout
    Das Zeitlimit in Sekunden, wenn eine Verbindung zu einer Calibre Biblithek über das Netzwerk hergestellt wird. Der Standardwert beträgt zwei Minuten

--username
    Benutzername zum Verbinden mit einem Calibre-Inhalteserver

--version
    Programmversion anzeigen und beenden

LIST

calibredb list [Optionen]

Auflisten der in der Calibre-Datenbank verfügbaren Bücher.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--ascending
    Ergebnisse in aufsteigender Reihenfolge sortieren

--fields, -f
    Anzuzeigende Felder bei der Auflistung von Büchern in der Datenbank. Sollte eine kommagetrennte Liste von Feldern sein. Verfügbare Felder: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Standard: % default. Das Sonderfeld "all" kann für die Auswahl aller Felder verwendet werden. Zusätzlich zu den oben genannten integrierten Feldern sind auch benutzerdefinierte Felder als "*Feldname" verfügbar. Verwenden Sie beispielsweise für ein benutzerdefiniertes Feld "#Bewertung" den Namen "*Bewertung".

--for-machine
    Erzeugt die Ausgabe im JSON-Format, welches maschinell besser zu analysieren ist. Bewirkt, dass die Einstellungen für Zeilenbreite und Trennzeichen-Optionen ignoriert werden.

--limit
    Maximale Anzahl anzuzeigender Ergebnisse. Standard: alle

--line-width, -w
    Maximale Breite einer einzelnen Zeile in der Ausgabe. In der Voreinstellung wird die Bildschirmgröße erkannt.

--prefix
    Der Präfix für alle Dateipfade. Voreinstellung ist der absolute Pfad zum Bibliotheksordner.

--search, -s
    Die Ergebnisse durch die Suchanfrage filtern. Für das Format der Suchanfrage sehen Sie sich bitte die Dokumentation, die die Suche betrifft, im Benutzerhandbuch an. Voreinstellung ist, keine Filterung durchzuführen.

--separator
    Zeichenfolge zur Unterscheidung der Felder. Die Voreinstellung ist ein Leerzeichen.

--sort-by
    The field by which to sort the results. You can specify multiple fields by separating them with commas. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Default: id

--template
    The template to run if "template" is in the field list. Default: None

--template_file, -t
    Path to a file containing the template to run if "template" is in the field list. Default: None

--template_heading
    Heading for the template column. Default: template. This option is ignored if the option --for-machine is set

ADD

calibredb add [options] file1 file2 file3 ...

Add the specified files as books to the database. You can also specify folders, see the folder related options below.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--authors, -a
    Autor der hinzugefügten Bücher festlegen

--automerge, -m
    Wenn Bücher mit ähnlichen Titeln und Verfassern gefunden werden führe die neuen Formate (Dateien) automatisch mit den vorhandenen Bucheinträgen zusammen. Der Wert "Ignorieren" bedeutet, dass doppelte Formate verworfen werden. Der Wert "Überschreiben" bedeutet doppelte Formate in der Bibliothek werden von neu hinzugefügten Dateien überschrieben. Der Wert "Neuer Eintrag" bedeutet, dass doppelte Formate in einem neuen Bucheintrag gespeichert werden.

--cover, -c
    Pfad zum Titelbild des hinzugefügten Buches

--duplicates, -d
    Füge Bücher zur Datenbank selbst dann hinzu, wenn sie bereits vorhanden sind. Der Vergleich wird basierend auf Buchtiteln und Verfassern durchgeführt. Beachte, dass die --automerge-Option Vorrang hat.

--empty, -e
    Leeres Buch hinzufügen (ein Buch ohne Formate)

--identifier, -I
    Set the identifiers for this book, e.g. -I asin:XXX -I isbn:YYY

--isbn, -i
    ISBN der hinzugefügten Bücher festlegen

--languages, -l
    Eine kommagetrennte Liste der Sprachen (obwohl einige Sprachen auch am Namen erkannt werden, verwendet man besser die Sprachcodes der ISO639)

--series, -s
    Serien der der hinzugefügten Bücher festlegen

--series-index, -S
    Serien-Nummer der hinzugefügten Bücher festlegen

--tags, -T
    Schlagwörter des/der hinzugefügten Buches/Bücher festlegen

--title, -t
    Titel der hinzugefügten Bücher festlegen

  HINZUFÜGEN VON ORDNERN

Options to control the adding of books from folders. By default only files that have extensions of known e-book file types are added.

--add
    A filename (glob) pattern, files matching this pattern will be added when scanning folders for files, even if they are not of a known e-book file type. Can be specified multiple times for multiple patterns.

--ignore
    A filename (glob) pattern, files matching this pattern will be ignored when scanning folders for files. Can be specified multiple times for multiple patterns. For example: *.pdf will ignore all PDF files

--one-book-per-directory, -1
    Assume that each folder has only a single logical book and that all files in it are different e-book formats of that book

--recurse, -r
    Verzeichnisse rekursiv verarbeiten

REMOVE

calibredb remove IDs

Entfernen der durch IDs bezeichneten Bücher aus der Datenbank. Die IDs müssen in Form einer kommagetrennten Liste von ID-Nummern angegeben werden (Sie können ID-Nummern mithilfe des Suchbefehls erhalten). Beispielsweise 23,34,57-85 (bei Angabe eines Bereichs ist die letzte Nummer im Bereich nicht enthalten).

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--permanent
    Papierkorb nicht verwenden

ADD_FORMAT

calibredb add_format [Optionen] ID eBook_Datei

Hinzufügen des eBooks in eBook_Datei zu den verfügbaren Formaten für das durch die ID bestimmte logische Buch. Sie können die ID durch die Verwendung des Suchbefehls erhalten. Falls das Format bereits existiert, wird es ersetzt, es sei denn, die "Nicht ersetzen"-Option ist ausgewählt.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--dont-replace
    Ersetzen Sie das Format nicht, falls es schon existiert

REMOVE_FORMAT

calibredb remove_format [Optionen] ID Fmt

Entfernen des Formats Fmt des durch die ID bezeichneten logischen Buches. Sie erhalten die ID durch Verwendung des Suchbefehls. fmt sollte eine Dateinamenerweiterung wie LRF, TXT oder EPUB sein. Falls das logische Buch nicht im angegebenen Format verfügbar ist, passiert gar nichts.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [Optionen] ID

Anzeigen der in der Calibre-Datenbank gespeicherten Metadaten für das durch die ID bezeichnete Buch. ID ist eine ID-Nummer aus dem Suchbefehl.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--as-opf
    Metadaten in OPF-Form (XML) drucken

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by book_id from the OPF file metadata.opf. book_id is a book id number from the search command. You can get a quick feel for the OPF format by using the --as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the --field option. If you use the --field option, there is no need to specify an OPF file.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--field, -f
    Bereich festlegen. Das Format ist field_name:value, zum Beispiel: --field tags:tag1,tag2. Verwenden Sie --list-fields um eine Liste mit allen Feldnamen zu erhalten. Sie können diese Funktion mehrfach anwenden, um mehrere Felder festzulegen. Hinweis: Für die Sprache muss der ISO639 Sprachcode (z. B. en für Englisch, de für Deutsch, usw.) verwendet werden. Für Kennungen ist die Syntax --field identifiers:isbn:XXXX,doi:YYYYY. Für boolesche Felder (ja/nein) verwenden Sie true und false oder yes und no.

--list-fields, -l
    Listet die Metadaten-Feldnamen auf, die mit der --field option (Feldoption ) verwendet werden können

EXPORT

calibredb export [Optionen] IDs

Exportieren der durch IDs (eine kommagetrennte Liste) bestimmten Bücher in das Dateisystem. Der Exportiervorgang speichert alle Formate des Buchs, dessen Titelseite und Metadaten (in einer opf-Datei). Die ID-Nummern erhalten Sie mit dem Suchbefehl.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--all
    Alle Bücher der Datenbank exportieren, die Liste der IDs wird ignoriert.

--dont-asciiize
    Have calibre convert all non English characters into English equivalents for the file names. This is useful if saving to a legacy filesystem without full support for Unicode filenames. Die Betätigung dieses Schalters stellt das Verhalten aus.

--dont-save-cover
    Normalerweise speichert Calibre das Titelbild in einer separaten Datei zusammen mit den eigentlichen eBook-Dateien. Die Betätigung dieses Schalters stellt das Verhalten aus.

--dont-update-metadata
    Normalerweise aktualisiert Calibre die Metadaten in den gespeicherten Dateien mit den Metadaten in der Calibre-Bibliothek. Dies verlangsamt das Speichern auf Datenträger. Die Betätigung dieses Schalters stellt das Verhalten aus.

--dont-write-opf
    Normalerweise schreibt Calibre die Metadaten in eine separate OPF-Datei zusammen mit den eigentlichen eBook-Dateien. Die Betätigung dieses Schalters stellt das Verhalten aus.

--formats
    Kommagetrennte Liste der für jedes Buch zu speichernden Formate. Standardmäßig werden alle verfügbaren Formate gespeichert.

--progress
    Fortschritt melden

--replace-whitespace
    Leerzeichen mit Unterstrichen ersetzen.

--single-dir
    Alle Bücher in einen einzigen Ordner exportieren

--template
    The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Das Format, in dem Kalenderdaten angezeigt werden sollen. %d - Tag, %b - Monat, %m - Monatsnummer, %Y - Jahr. Standard ist: %b, %Y

--to-dir
    Bücher in den angegebenen Ordner exportieren. Vorgabe ist .

--to-lowercase
    Pfade in Kleinbuchstaben umwandeln.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--ids, -i
    Kommagetrennte Liste der zu katalogisierenden Datenbank-IDs. Wenn angegeben, wird --search ignoriert. Standardeinstellung: alle

--search, -s
    Die Ergebnisse durch die Suchanfrage filtern. Für das Format der Suchanfrage sehen Sie sich bitte die Dokumentation, die die Suche betrifft, im Benutzerhandbuch an. Standardeinstellung: keine Filterung

--verbose, -v
    Detaillierte Ausgabeinformation anzeigen. Hilfreich zur Fehlerdiagnose

  EPUB OPTIONEN

--catalog-title
    Titel des erzeugten Katalogs, wie er als Titel in den Metadaten verwendet wird. Standard: "My Books" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--cross-reference-authors
    Querverweise im Abschnitt "Autoren" für Bücher mit unterschiedlichen Autoren erstellen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regulärer Ausdruck, der die Schlagwörter beschreibt, die von den Genres ausgeschlossen werden sollen. Standard: "[.+]|^+$" schließt mit "[]" geklammerte Schlagwörter aus, z. B. "[Projekt Gutenberg]", und "+", das Standardschlagwort für gelesene Bücher. Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--exclusion-rules
    Geben Sie die Regeln an, die verwendet werden sollen, um Bücher aus dem generierten Katalog auszuschließen. Das Modell für eine Ausschlussregel ist entweder ('<Regelname>','Tags','<kommagetrennte Tag-Liste>') oder ('<Regelname>','<Benutzerdefinierte Spalte>','<Muster>'). Zum Beispiel: (('Archivierte Bücher','#status','Archiviert'),) wird ein Buch mit dem Wert 'Archived' in der benutzerdefinierten Spalte 'status' ausschließen. Wenn mehrere Regeln festgelegt sind, werden alle angewandt. Standard: "(('Catalogs','Tags','Catalog'),)" Anwendbar auf AZW3, ePub, MOBI-Zielformate

--generate-authors
    Abschnitt "Autoren" im Katalog einschließen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--generate-descriptions
    Abschnitt "Beschreibungen" im Katalog einschließen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--generate-genres
    Abschnitt "Genres" im Katalog einschließen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--generate-recently-added
    Abschnitt "Kürzlich hinzugefügt" im Katalog einschließen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--generate-series
    Abschnitt "Serien" im Katalog einschließen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--generate-titles
    Abschnitt "Titel" im Katalog einschließen. Standard: "False" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--genre-source-field
    Quellfeld für "Genres"-Abschnitt. Standard: "Schlagwörter" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--header-note-source-field
    Benutzerdefiniertes Feld, dessen Inhalt als Notiz in den Beschreibungskopf eingefügt wird. Standard: "" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Festlegen des Ausgabeprofils. In einigen Fällen ist ein Ausgabeprofil erforderlich, um den Katalog für ein Gerät zu optimieren. Zum Beispiel erstellt "kindle" oder "kindle_dx" ein strukturiertes Inhaltsverzeichnis mit Abschnitten und Beiträgen. Standard: "None" Wird angewendet auf: AZW3-, ePub- und MOBI-Zielformate

--prefix-rules
    Definiert die Regeln um Präfixe zu verwendeten, welche gelesene Bücher, Wunschlisteneinträge und andere benutzerdefinierte Präfixe hervorheben. Das Modell einer Präfixregel ist ('<Regelname>','<Quellenfeld>','<Muster>','<Präfix>'). Wenn mehrere Regeln definiert wurden, wird der erste passende Regel verwendet. Voreinstellung: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--preset
    Verwenden einer benannten Voreinstellung, die mit der Katalogerstellung der Benutzeroberfläche erstellt wurde. Eine Voreinstellung legt alle Einstellungen für die Erstellung eines Katalogs fest. Standard: "None" Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--thumb-width
    Größenhinweis (in Inch) für Titelbilder im Katalog. Wertebereich: 1.0 - 2.0 Standard: '1.0' Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

--use-existing-cover
    Ersetzen existierender Titelbilder während der Katalogerzeugung. Standard: 'False' Anwendbar auf: AZW3-, EPUB- und MOBI-Zielformate

SAVED_SEARCHES

calibredb saved_searches [Optionen] (list|add|remove)

Verwalten der in der Calibre-Datenbank gespeicherten Suchen. Falls Sie eine Suche hinzuzufügen, deren Name bereits existiert, so wird die bisherige ersetzt.

Syntax für Hinzufügen ("add"):

calibredb saved_searches add Suchenname Suchausdruck

Syntax für Entfernen ("remove"):

calibredb saved_searches remove Suchenname

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [Optionen] Bezeichnung Name Datentyp

Erstellen einer benutzerdefinierten Spalte. Bezeichnung ist der maschinenfreundliche Name der Spalte, und sollte keine Leerzeichen oder Doppelpunkte enthalten. Name ist der anwenderfreundliche Name der Spalte. Datentyp ist einer von : bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--display
    Ein Wörterbuch von Optionen zum Anpassen, wie die Daten in dieser Spalte interpretiert werden. Das ist eine JSON-Zeichenkette. Zum Aufzählen von Spalten verwenden Sie --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Es gibt einige Optionen, die in der Anzeigevariable enthalten sein können. Diese Optionen nach Art der Spalten sind: Zusammengesetzt – composite: composite_template, composite_sort, make_category,contains_html, use_decorations Datum und Zeit – datetime: date_format Aufzählung – enumeration: enum_values, enum_colors, use_decorations Init, Fluss – int, float: number_format Text – text: is_names, use_decorations Der beste Weg, um gültige Kombinationen zu finden, ist es, eine benutzerdefinierte Spalte des entsprechenden Typs im GUI zu erstellen und dann auf die Sicherung des OPF des Buches zu schauen. (Stellen Sie sicher, dass es ein neues OPF gibt, nachdem die Spalte hinzugefügt wurde.) Sie werden die JSON für die "Anzeige" in der neuen Spalte im OPF sehen.

--is-multiple
    Diese Spalte speichert Daten ähnlich wie bei Schlagwörtern (z. B. mehrere kommagetrennte Werte). Gilt nur, wenn der Datentyp Text ist.

CUSTOM_COLUMNS

calibredb custom_columns [Optionen]

Auflisten aller verfügbaren benutzerdefinierten Spalten. Zeigt Spaltenbezeichnungen und IDs an.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--details, -d
    Details jeder Spalte anzeigen.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [Optionen] Bezeichnung

Entfernen der bezeichneten benutzerdefinierten Spalte. Verfügbare Spalten können durch den Befehl custom_columns angezeigt werden.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--force, -f
    Nicht nach einer Bestätigung fragen

SET_CUSTOM

calibredb set_custom [Optionen] Spalte ID Wert

Festlegen des Werts einer benutzerdefinierte Spalte für das durch die ID bezeichnete Buch. Sie erhalten eine Liste der IDs mithilfe des Suchbefehls. Sie erhalten eine Liste der Namen von benutzerdefinierten Spalten mithilfe des Befehls custom_columns.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--append, -a
    Wenn die Spalte mehrere Werte speichert, sollen die angegebenen Werte zu den bestehenden hinzugefügt werden, anstatt sie zu ersetzen.

RESTORE_DATABASE

calibredb restore_database [options]

Restore this database from the metadata stored in OPF files in each folder of the calibre library. This is useful if your metadata.db file has been corrupted.

WARNING: This command completely regenerates your database. You will lose all saved searches, user categories, plugboards, stored per-book conversion settings, and custom recipes. Restored metadata will only be as accurate as what is found in the OPF files.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--really-do-it, -r
    Führt die Wiederherstellung tatsächlich durch. Der Befehl wird nicht ausgeführt, wenn diese Option nicht vorhanden ist.

CHECK_LIBRARY

calibredb check_library [Optionen]

Durchführen einiger Überprüfungen des Dateisystems einer Bibliothek. Berichte sind invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--csv, -c
    Ausgabe als CSV

--ignore_extensions, -e
    Kommagetrennte Liste zu ignorierender Erweiterungen. Standardeinstellung: alle

--ignore_names, -n
    Kommagetrennte Liste zu ignorierender Namen. Standardeinstellung: alle

--report, -r
    Kommagetrenne Liste von Berichten. Standardeinstellung: alle

--vacuum-fts-db
    Vacuum the full text search database. This can be very slow and memory intensive, depending on the size of the database.

LIST_CATEGORIES

calibredb list_categories [options]

Produce a report of the category information in the database. The information is the equivalent of what is shown in the Tag browser.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--categories, -r
    Kommagetrennte Liste von Kategorie-Nachschlagenamen. Standardeinstellung: alle

--csv, -c
    Ausgabe als CSV

--dialect
    Typ der zu produzierenden CSV-Datei. Auwahl: excel, excel-tab, unix

--item_count, -i
    Nur Anzahl der Einträge in einer Kategorie ausgeben anstelle der Anzahl pro Eintrag in der Kategorie

--width, -w
    Maximale Breite einer einzelnen Zeile in der Ausgabe. In der Voreinstellung wird die Bildschirmgröße erkannt.

BACKUP_METADATA

calibredb backup_metadata [options]

Backup the metadata stored in the database into individual OPF files in each books folder. This normally happens automatically, but you can run this command to force re-generation of the OPF files, with the --all option.

Note that there is normally no need to do this, as the OPF files are backed up automatically, every time metadata is changed.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--all
    Normalerweise beachtet dieser Befehl nur Bücher, deren OPF-Dateien nicht mehr aktuell sind. Diese Option führt den Befehl für alle Bücher aus.

CLONE

calibredb dupliziere Pfad/zur/neuen/Bibliothek

Erstellt eine Kopie der aktuellen Bibliothek. Dies erstellt eine neue, leere Bibliothek mit allen eigenen Spalten, virtulellen Bibliothelen und anderen Einstellungen der aktuellen Bibliothek.

Die geklonte Bibliothek enthält keine Bücher. Wenn Sie eine Kopie mit allen Büchern erstellen möchten, nutzen Sie einfach die Werkzeuge Ihres Dateisystems, um den Bibliotheksordner zu kopieren.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [Optionen] Buch_ID

Aktualisieren der in den eigentlichen Buchdateien enthaltenen Metadaten auf Basis der in der Calibre-Bibliothek gespeicherten. Die Metadaten werden normalerweise nur aktualisiert, wenn Dateien aus Calibre exportiert werden. Dieser Befehl ist hilfreich, wenn Dateien an Ort und Stelle aktualisiert werden sollen. Beachten Sie, dass unterschiedliche Formate unterschiedliche Metadaten unterstützen. Sie können den besonderen Wert "all" als Buch_ID verwenden, um die Metadaten aller Bücher zu aktualisieren. Mehrere Bücher können ebenfalls mittels Leerzeichen voneinander getrennter Buch-IDs und mittels Bindestrichen voneinander getrennter ID-Bereiche angegeben werden. Beispiel: calibredb embed_metadata 1 2 10-15 23

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--only-formats, -f
    Aktualisiert nur Metadaten in Dateien des angegebenen Formats. Wählen Sie die gewünschten Formate durch Anklicken aus. Standardmäßig werden alle Formate aktualisiert.

SEARCH

calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre's powerful search query language, for example: calibredb search author:asimov 'title:"i robot"'

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--limit, -l
    Maximale Anzahl der anzuzeigenden Ergebnisse. Standard ist alle Ergebnisse.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Control the Full text search indexing process.

enable
    Turns on FTS indexing for this library

disable
    Turns off FTS indexing for this library

status
    Shows the current indexing status

reindex
    Can be used to re-index either particular books or the entire library. To re-index particular books specify the book ids as additional arguments after the reindex command. If no book ids are specified the entire library is re-indexed.

    Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--indexing-speed
    The speed of indexing. Use fast for fast indexing using all your computers resources and slow for less resource intensive indexing. Note that the speed is reset to slow after every invocation.

--wait-for-completion
    Wait till all books are indexed, showing indexing progress periodically

FTS_SEARCH

calibredb fts_search [options] search expression

Do a full text search on the entire library or a subset of it.

Wann immer Sie Argumente mit Leerzeichen an calibredb weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

--do-not-match-on-related-words
    Only match on exact words not related words. So correction will not match correcting.

--include-snippets
    Include snippets of the text surrounding each match. Note that this makes searching much slower.

--indexing-threshold
    How much of the library must be indexed before searching is allowed, as a percentage. Defaults to 90

--match-end-marker
    The marker used to indicate the end of a matched word inside a snippet

--match-start-marker
    The marker used to indicate the start of a matched word inside a snippet

--output-format
    The format to output the search results in. Either "text" for plain text or "json" for JSON output.

--restrict-to
    Restrict the searched books, either using a search expression or ids. For example: ids:1,2,3 to restrict by ids or search:tag:foo to restrict to books having the tag foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal